.fa {
  vertical-align: middle;
}

.main-loader {
  vertical-align: middle;
  background-color: rgba(255, 255, 255, 0.4);
  position: fixed;
  z-index: 9999;
  overflow: hidden;
  top: 0px;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  width: 100%;
  height: 100%;
  text-align: center;
}

.main-loader img{
  vertical-align: middle;
  border-style: none;
  position: inherit;
  margin: auto;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
